1 (edited by aloniv 2021-10-07 04:39:29)

Topic: Update isn't working

This is what I get from the terminal:

[alon@T60-hyperbola ~]$ sudo pacman -Syu
[sudo] password for alon: 
:: Synchronising package databases...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (60) SSL certificate problem: certificate has expired
More details here: [url]https://curl.haxx.se/docs/sslcerts.html[/url]

curl performs SSL certificate verification by default, using a "bundle"
 of Certificate Authority (CA) public keys (CA certs). If the default
 bundle file isn't adequate, you can specify an alternate file
 using the --cacert option.
If this HTTPS server uses a certificate signed by a CA represented in
 the bundle, the certificate verification probably failed due to a
 problem with the certificate (it might be expired, or the name might
 not match the domain name in the URL).
If you'd like to turn off curl's verification of the certificate, use
 the -k (or --insecure) option.
HTTPS-proxy has similar options --proxy-cacert and --proxy-insecure.
error: failed to update core (error invoking external downloader)
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (60) SSL certificate problem: certificate has expired
More details here: [url]https://curl.haxx.se/docs/sslcerts.html[/url]

curl performs SSL certificate verification by default, using a "bundle"
 of Certificate Authority (CA) public keys (CA certs). If the default
 bundle file isn't adequate, you can specify an alternate file
 using the --cacert option.
If this HTTPS server uses a certificate signed by a CA represented in
 the bundle, the certificate verification probably failed due to a
 problem with the certificate (it might be expired, or the name might
 not match the domain name in the URL).
If you'd like to turn off curl's verification of the certificate, use
 the -k (or --insecure) option.
HTTPS-proxy has similar options --proxy-cacert and --proxy-insecure.
error: failed to update extra (error invoking external downloader)
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (60) SSL certificate problem: certificate has expired
More details here: [url]https://curl.haxx.se/docs/sslcerts.html[/url]

curl performs SSL certificate verification by default, using a "bundle"
 of Certificate Authority (CA) public keys (CA certs). If the default
 bundle file isn't adequate, you can specify an alternate file
 using the --cacert option.
If this HTTPS server uses a certificate signed by a CA represented in
 the bundle, the certificate verification probably failed due to a
 problem with the certificate (it might be expired, or the name might
 not match the domain name in the URL).
If you'd like to turn off curl's verification of the certificate, use
 the -k (or --insecure) option.
HTTPS-proxy has similar options --proxy-cacert and --proxy-insecure.
error: failed to update community (error invoking external downloader)
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (60) SSL certificate problem: certificate has expired
More details here: [url]https://curl.haxx.se/docs/sslcerts.html[/url]

curl performs SSL certificate verification by default, using a "bundle"
 of Certificate Authority (CA) public keys (CA certs). If the default
 bundle file isn't adequate, you can specify an alternate file
 using the --cacert option.
If this HTTPS server uses a certificate signed by a CA represented in
 the bundle, the certificate verification probably failed due to a
 problem with the certificate (it might be expired, or the name might
 not match the domain name in the URL).
If you'd like to turn off curl's verification of the certificate, use
 the -k (or --insecure) option.
HTTPS-proxy has similar options --proxy-cacert and --proxy-insecure.
error: failed to update multilib (error invoking external downloader)
error: failed to synchronise any databases
error: failed to init transaction (error invoking external downloader)

2

Re: Update isn't working

Hey, the reasoning for this is that the version of curl on 0.3.1 has now its problems with expired SSL-cetificates. Try to update curl with an own build, perhaps the version from testing: https://www.hyperbola.info/packages/core/i686/curl/

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

3 (edited by aloniv 2021-10-04 10:15:12)

Re: Update isn't working

The PKGBUILD of curl includes a source file which gives a 404 error. Thankfully, I found it here:
http://old.kali.org/kali/pool/main/c/cu … ian.tar.xz
The new curl seems to have fixed this error. Many thanks.

4

Re: Update isn't working

Oh sorry, have forgotten about the missing debian-patches as Debian has upgraded them for "bullseye"! sad
But thanks for the alternative mirror of that also.

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

5

Re: Update isn't working

wget has the same problem as curl being just too old. So here is the PKGBUILD for a newer version taken from the 0.4-development:

# Maintainer (Arch): Levente Polyak <anthraxx[at]archlinux[dot]org>
# Maintainer (Arch): Eric Bélanger <eric@archlinux.org>
# Maintainer: André Silva <emulatorman@hyperbola.info>

pkgname=wget
pkgver=1.20.3
_debver=1.20.3
_debrel=1
pkgrel=1
pkgdesc='Network utility to retrieve files from the Web'
url='https://www.gnu.org/software/wget/wget.html'
arch=('i686' 'x86_64')
license=('custom:GPL-3+OpenSSL-Linking-Exception')
depends=('glibc' 'libressl' 'libidn2' 'libutil-linux' 'libpsl' 'pcre2')
makedepends=('quilt')
checkdepends=('perl-http-daemon' 'perl-io-socket-ssl' 'python')
optdepends=('ca-certificates: HTTPS downloads')
backup=('etc/wgetrc')
source=(https://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.lz
        http://old.kali.org/kali/pool/main/w/wget//wget_$_debver-$_debrel.debian.tar.xz)
sha512sums=('95fb064f0d79b0a3178a83322f58a85a3a036fb300ed759eb67a538f0bbacdd552f6cbeb60d63b4f0113e8467d923a5ce7ac5570b7a4ce1733b3dfd559bb33b2'
            '8686d0b22e6e23076b08b463d21757ccd62119afac67a7be90301b788a050ce88e8e5ed30da3e8874dad697b6419b15bcb1b831f2a3236ae6460f745c93dd2cc')

prepare() {
  cd ${pkgname}-${pkgver}
  if [[ ${pkgver%.*} = ${_debver%.*} ]]; then
    # Debian patches
    export QUILT_PATCHES=debian/patches
    export QUILT_REFRESH_ARGS='-p ab --no-timestamps --no-index'
    export QUILT_DIFF_ARGS='--no-timestamps'

    mv "$srcdir"/debian .

    quilt push -av
  fi

  cat >> doc/sample.wgetrc <<EOF

# default root certs location
ca_certificate=/etc/ssl/certs/ca-certificates.crt
EOF
}

build() {
  cd ${pkgname}-${pkgver}
  ./configure \
    --prefix=/usr \
    --sysconfdir=/etc \
    --disable-rpath \
    --enable-nls \
    --with-ssl=openssl
  make
}

package() {
  cd ${pkgname}-${pkgver}
  make DESTDIR="${pkgdir}" install
  for i in COPYING README; do
    install -Dm644 ${i} ${pkgdir}/usr/share/licenses/${pkgname}/${i}
  done
}
Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

6 (edited by aloniv 2021-10-07 04:28:45)

Re: Update isn't working

The last update includes newer versions of wget and curl.

$ sudo pacman -Syu
:: Synchronising package databases...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  104k  100  104k    0     0   141k      0 --:--:-- --:--:-- --:--:--  141k
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 1740k  100 1740k    0     0   662k      0  0:00:02  0:00:02 --:--:--  662k
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 3975k  100 3975k    0     0   657k      0  0:00:06  0:00:06 --:--:--  731k
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  154k  100  154k    0     0   200k      0 --:--:-- --:--:-- --:--:--  199k
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found
:: Starting full system upgrade...
warning: aria2: local (1.35.0-2) is newer than community (1.31.0-1)
warning: gnutls: local (3.6.13-2) is newer than core (3.5.11-1.hyperbola2)
warning: gst-plugins-bad: local (1.12.4-3.parabola1) is newer than extra (1.12.0-1.hyperbola4)
warning: gummi: local (2:0.8.2-1) is newer than community (1:0.6.6-2)
warning: hugin: local (2019.2.0-5) is newer than extra (2016.2.0-5)
warning: nettle: local (3.6-1) is newer than core (3.3-1.hyperbola1)
warning: parole: local (4.16.0-1) is newer than community (0.9.1-1)
warning: python-musicbrainzngs: local (0.7.1-3) is newer than community (0.6-2)
warning: python-mutagen: local (1.42.0-3) is newer than extra (1.37-1)
warning: python-txaio: local (2.7.1-1) is newer than community (2.6.1-1)
warning: rkhunter: local (1.4.6-2) is newer than community (1.4.2-2)
warning: rubyripper: local (0.7.0rc2-1) is newer than community (0.6.2-10)
warning: snappy-player: local (1.0-5) is newer than community (1.0-4)
warning: speedtest-cli: local (2.1.3-1) is newer than community (1.0.3-1)
resolving dependencies...
looking for conflicting packages...

Packages (3) curl-7.74.0-1.hyperbola1.backports1  curl-debug-7.74.0-1.hyperbola1.backports1
             wget-1.21-1.hyperbola1.backports1

Total Download Size:   1.76 MiB
Total Installed Size:  5.31 MiB
Net Upgrade Size:      0.70 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 1102k  100 1102k    0     0   385k      0  0:00:02  0:00:02 --:--:--  385k
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 25087  100 25087    0     0  54655      0 --:--:-- --:--:-- --:--:-- 54775
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  677k  100  677k    0     0   411k      0  0:00:01  0:00:01 --:--:--  411k
(3/3) checking keys in keyring                                              [###########################################] 100%
(3/3) checking package integrity                                            [###########################################] 100%
(3/3) loading package files                                                 [###########################################] 100%
(3/3) checking for file conflicts                                           [###########################################] 100%
(3/3) checking available disk space                                         [###########################################] 100%
:: Processing package changes...
(1/3) upgrading curl                                                        [###########################################] 100%
(2/3) upgrading curl-debug                                                  [###########################################] 100%
(3/3) upgrading wget                                                        [###########################################] 100%
:: Running post-transaction hooks...
(1/1) Updating the info directory file...

7

Re: Update isn't working

Yes that is correct! smile Thanks to coadde for fast reaction and solving the problems.

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!

8

Re: Update isn't working

vdisculpen el español... esta es la solución al día de hoy para v0.3.1


# Renovar certificados en sistema operativo `hyperbola`


- En `/etc/pacman.conf` quitar comentario `#XferCommand = /usr/bin/curl -C - -f %u > %o`


- Agregar temporalmente la -k para actualizar certificados


- `XferCommand = /usr/bin/curl -k -C - -f %u > %o`


- `doas pacman -Syu`


- finalmente comentar la línea `#XferCommand = /usr/bin/curl -C - -f
  %u > %o` a como estaba

9

Re: Update isn't working

Should probably tell everyone to turn /etc/pacman.conf signatures off.

Aka, comment the SigLevel currently there and add SigLevel = Never

Then this issue will be much less problematic.

HyperbolaBSD: The Future of Secure Libre Lightweight Operating Systems!

10

Re: Update isn't working

I get this error:

[root@venore fifi]# pacman -Syyu
:: Synchronizing package databases...
error: failed retrieving file 'core.db' from ftp.nluug.nl : SSL certificate problem: certificate has expired
error: failed retrieving file 'core.db' from whatsgnu.serverpit.com : Failed to connect to whatsgnu.serverpit.com port 443: Connection refused
error: failed retrieving file 'core.db' from hyperbola.isacdaavid.info : SSL certificate problem: certificate has expired
error: failed retrieving file 'core.db' from mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p:8080 : Could not resolve host: mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p
error: failed to update core (download library error)
error: failed retrieving file 'extra.db' from ftp.nluug.nl : SSL certificate problem: certificate has expired
error: failed retrieving file 'extra.db' from whatsgnu.serverpit.com : Failed to connect to whatsgnu.serverpit.com port 443: Connection refused
error: failed retrieving file 'extra.db' from hyperbola.isacdaavid.info : SSL certificate problem: certificate has expired
error: failed retrieving file 'extra.db' from mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p:8080 : Could not resolve host: mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p
error: failed to update extra (download library error)
error: failed retrieving file 'community.db' from ftp.nluug.nl : SSL certificate problem: certificate has expired
error: failed retrieving file 'community.db' from whatsgnu.serverpit.com : Failed to connect to whatsgnu.serverpit.com port 443: Connection refused
error: failed retrieving file 'community.db' from hyperbola.isacdaavid.info : SSL certificate problem: certificate has expired
error: failed retrieving file 'community.db' from mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p:8080 : Could not resolve host: mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p
error: failed to update community (download library error)
error: failed retrieving file 'multilib.db' from ftp.nluug.nl : SSL certificate problem: certificate has expired
error: failed retrieving file 'multilib.db' from whatsgnu.serverpit.com : Failed to connect to whatsgnu.serverpit.com port 443: Connection refused
error: failed retrieving file 'multilib.db' from hyperbola.isacdaavid.info : SSL certificate problem: certificate has expired
error: failed retrieving file 'multilib.db' from mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p:8080 : Could not resolve host: mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p
error: failed to update multilib (download library error)
error: failed to synchronize any databases
error: failed to init transaction (download library error)
[root@venore fifi]# nano /etc/pacman.conf
[root@venore fifi]# pacman -Syyu
:: Synchronizing package databases...
error: failed retrieving file 'core.db' from ftp.nluug.nl : SSL certificate problem: certificate has expired
error: failed retrieving file 'core.db' from whatsgnu.serverpit.com : Failed to connect to whatsgnu.serverpit.com port 443: Connection refused
error: failed retrieving file 'core.db' from hyperbola.isacdaavid.info : SSL certificate problem: certificate has expired
error: failed retrieving file 'core.db' from mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p:8080 : Could not resolve host: mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p
error: failed to update core (download library error)
error: failed retrieving file 'extra.db' from ftp.nluug.nl : SSL certificate problem: certificate has expired
error: failed retrieving file 'extra.db' from whatsgnu.serverpit.com : Failed to connect to whatsgnu.serverpit.com port 443: Connection refused
error: failed retrieving file 'extra.db' from hyperbola.isacdaavid.info : SSL certificate problem: certificate has expired
error: failed retrieving file 'extra.db' from mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p:8080 : Could not resolve host: mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p
error: failed to update extra (download library error)
error: failed retrieving file 'community.db' from ftp.nluug.nl : SSL certificate problem: certificate has expired
error: failed retrieving file 'community.db' from whatsgnu.serverpit.com : Failed to connect to whatsgnu.serverpit.com port 443: Connection refused
error: failed retrieving file 'community.db' from hyperbola.isacdaavid.info : SSL certificate problem: certificate has expired
error: failed retrieving file 'community.db' from mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p:8080 : Could not resolve host: mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p
error: failed to update community (download library error)
error: failed retrieving file 'multilib.db' from ftp.nluug.nl : SSL certificate problem: certificate has expired
error: failed retrieving file 'multilib.db' from whatsgnu.serverpit.com : Failed to connect to whatsgnu.serverpit.com port 443: Connection refused
error: failed retrieving file 'multilib.db' from hyperbola.isacdaavid.info : SSL certificate problem: certificate has expired
error: failed retrieving file 'multilib.db' from mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p:8080 : Could not resolve host: mp3p7nzaz5zic5qbdmqsrus4uxxumznvg67a7rmpyawj7fps2mva.b32.i2p
error: failed to update multilib (download library error)
error: failed to synchronize any databases
error: failed to init transaction (download library error)

11

Re: Update isn't working

Would you mind checking your concurrent time on the system? That can be a major problem if the timestamp is not fitting and therefore you should use ntpd to setup your system-time.

Human being in favor with clear principles and so also for freedom in soft- and hardware!

Certainly anyone who has the power to make you believe absurdities has the power to make you commit injustices: For a life of every being full with peace and kindness, including diversity and freedom. Capitalism is destroying our minds, the planet itself and the universe in the end!